org.eclipse.rdf4j.rio.helpers

## Class RDFaParserSettings

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.RDFaParserSettings

-     public class RDFaParserSettings
      extends Object

  A selection of parser settings specific to RDFa parsers.

  Several of these settings can be overridden by means of a system property, but only if specified at JVM startup time.

  Author:
    Peter Ansell

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RioSetting<Boolean>` | `FAIL_ON_RDFA_UNDEFINED_PREFIXES` Deprecated. Use `BasicParserSettings.NAMESPACES`
    `static RioSetting<RDFaVersion>` | `RDFA_COMPATIBILITY` Boolean setting for parser to determine the RDFa version to use when processing the document.
    `static RioSetting<Boolean>` | `VOCAB_EXPANSION_ENABLED` Enables or disables vocabulary expansion feature.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RDFA_COMPATIBILITY

          public static final RioSetting<RDFaVersion> RDFA_COMPATIBILITY

      Boolean setting for parser to determine the RDFa version to use when processing the document.

      Defaults to `RDFaVersion.RDFA_1_0`.

    - #### VOCAB_EXPANSION_ENABLED

          public static final RioSetting<Boolean> VOCAB_EXPANSION_ENABLED

      Enables or disables vocabulary expansion feature.

      Defaults to false

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.rdfa.vocab_expansion`.

      See Also:
        RDFa Vocabulary Expansion

    - #### FAIL_ON_RDFA_UNDEFINED_PREFIXES

          @Deprecated
          public static final RioSetting<Boolean> FAIL_ON_RDFA_UNDEFINED_PREFIXES

      Deprecated. Use `BasicParserSettings.NAMESPACES`
      Boolean setting for parser to determine whether the published RDFa prefixes are used to substitute for undefined prefixes.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.rdfa.allow_undefined_prefixes`.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.